#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	bison
Version		:	3.8.2
Release		:	16.2.0.rel%{?dist}
Summary		:	A GNU general-purpose parser generator
Group		:	Applications/Text

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	http://www.gnu.org/software/bison/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
%description
Bison is a general purpose parser generator that converts a grammar
description for an LALR(1) context-free grammar into a C program to
parse that grammar. Bison can be used to develop a wide range of
language parsers, from ones used in simple desk calculators to complex
programming languages. Bison is upwardly compatible with Yacc, so any
correctly written Yacc grammar should work with Bison without any
changes. If you know Yacc, you shouldn't have any trouble using
Bison. You do need to be very proficient in C programming to be able
to use Bison. Bison is only needed on systems that are used for
development.

If your system will be used for C development, you should install
Bison.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

%{__rm} -fr %{buildroot}%{_infodir}/dir

%files			
%defattr(-, root,root, 0755)
%{_bindir}
%{_libdir}
%{_infodir}
%{_datadir}/locale
%{_datadir}/aclocal
%{_datadir}/%{name}
%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man1/*.1.gz

%post


%changelog
